import java.awt.*;
import java.applet.*;
import java.io.*;
import quadbase.util.*;
import quadbase.ChartAPI.*;

public class BoxChart extends Applet {
	static final long serialVersionUID = 1;

public static void main(java.lang.String[] args) {

try {

BoxChart doChart = new BoxChart();
Frame frame = new Frame();
frame.setLayout(new BorderLayout());
frame.add("Center", doChart.doDataFromArguments(null));
frame.setSize(500, 500);
frame.setVisible(true);

} catch (Exception ex) {

ex.printStackTrace();

}

}

public void init() {

setLayout(new BorderLayout());
add("Center", doDataFromArguments(this));
}

 
Component doDataFromArguments(Applet applet)  {

// Do not connect to EspressManager
QbChart.setEspressManagerUsed(false);

ColInfo colInfo = new ColInfo();
colInfo.category = 0;
colInfo.value = 2;

String dataType[] = {"varchar", "varchar", "integer"};
String fieldName[] = {"Subject", "Student", "Score"};
String records[][] = {{"Math", "A.S.", "65"}, {"Math", "T.E.", "75"},
		      {"Math", "V.Q.", "83"}, {"Math", "X.C.", "87"},
		      {"Math", "I.Z.", "93"}, {"Science", "A.S.", "86"},
		      {"Science", "T.E.", "90"}, {"Science", "V.Q.", "73"},
       		      {"Science", "X.C.", "95"}, {"Science", "I.Z.", "84"}};

DbData data = new DbData(dataType, fieldName, records);
QbChart chart = new QbChart

(applet,                           // Applet
QbChart.VIEW2D,                    // Two-Dimensional
QbChart.BOX,                       // Box Chart
data,                              // Data
colInfo,                           // Column information
null);                             // No specified template

return chart;

}

}